Bug 767561 - Attempt to mount raid device before ready
Summary: Attempt to mount raid device before ready
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Michal Schmidt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-14 11:16 UTC by Jeremy Sanders
Modified: 2012-10-12 16:46 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-07 22:49:33 UTC


Attachments (Terms of Use)
dmesg output using log_buf_len=1M systemd.log_level=debug systemd.log_target=kmsg (260.95 KB, application/octet-stream)
2011-12-14 11:16 UTC, Jeremy Sanders
no flags Details

Description Jeremy Sanders 2011-12-14 11:16:40 UTC
Created attachment 546705 [details]
dmesg output using log_buf_len=1M systemd.log_level=debug systemd.log_target=kmsg

Description of problem:

A fedora 16 x86_64 system stops in bootup at a prompt asking for root password for maintenance. The system has two raid md devices, one of which is mounted using fstab.

From the systemd logs, it appears that systemd is trying to mount the raid-6 device before it ready. At 9.15s, it tries to mount the XFS file system /xback2_back1 (md0). This fails at 9.197s (can't read superblock). The md0 device is properly created at 9.2277s.

The fstab entry for the device is:
/dev/md0                /xback2_back1           xfs     nobarrier        1 0

Version-Release number of selected component (if applicable):
systemd-37-3.fc16.x86_64
mdadm-3.2.2-13.fc16.x86_64
kernel-3.1.5-1.fc16.x86_64

How reproducible:
Almost every time. Some times it succeeds.


Steps to Reproduce:
1. Boot system

Comment 1 Michal Schmidt 2011-12-14 13:45:47 UTC
Looks like the problem discussed recently on the mailing list:
http://lists.freedesktop.org/archives/systemd-devel/2011-December/004043.html

Comment 2 Jeremy Sanders 2011-12-14 14:56:03 UTC
Thanks - that's given me a workaround at least. I've labelled the XFS filesystem. Using LABEL=foo in fstab instead of /dev/md0 seems to get the ordering correct, as presumably it can't read a label until the device is ready.

Comment 3 Andrew McNabb 2012-07-18 21:54:11 UTC
This is still occurring in Fedora 17, and I'm marking it as high severity because it prevents boot from completing.

Comment 4 Michal Schmidt 2012-07-19 07:45:06 UTC
Please test if adding the following rule to /usr/lib/udev/rules.d/99-systemd.rules helps:

SUBSYSTEM=="block", KERNEL=="md*", ATTR{md/array_state}=="|clear|inactive", ENV{SYSTEMD_READY}="0"

Add the rule near the other rules that set SYSTEMD_READY.

Comment 5 waterfoul 2012-07-23 04:38:24 UTC
This worked for me!

(In reply to comment #4)
> Please test if adding the following rule to
> /usr/lib/udev/rules.d/99-systemd.rules helps:
> 
> SUBSYSTEM=="block", KERNEL=="md*", ATTR{md/array_state}=="|clear|inactive",
> ENV{SYSTEMD_READY}="0"
> 
> Add the rule near the other rules that set SYSTEMD_READY.

Comment 7 Fedora Update System 2012-09-20 19:56:48 UTC
systemd-190-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-190-1.fc18

Comment 8 Fedora Update System 2012-09-22 06:37:56 UTC
Package systemd-191-2.fc18, rtkit-0.11-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-191-2.fc18 rtkit-0.11-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/rtkit-0.11-3.fc18,systemd-191-2.fc18
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-09-28 00:18:26 UTC
Package glibc-2.16-17.fc18, systemd-192-1.fc18, selinux-policy-3.11.1-23.fc18, rtkit-0.11-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.16-17.fc18 systemd-192-1.fc18 selinux-policy-3.11.1-23.fc18 rtkit-0.11-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/selinux-policy-3.11.1-23.fc18,rtkit-0.11-3.fc18,systemd-192-1.fc18,glibc-2.16-17.fc18
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-10-01 20:11:14 UTC
Package glibc-2.16-17.fc18, rtkit-0.11-3.fc18, systemd-193-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.16-17.fc18 rtkit-0.11-3.fc18 systemd-193-1.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/rtkit-0.11-3.fc18,systemd-193-1.fc18,glibc-2.16-17.fc18
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2012-10-12 16:46:03 UTC
systemd-44-20.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/systemd-44-20.fc17


Note You need to log in before you can comment on or make changes to this bug.